#!/usr/bin/env python
import coral
import coral ; metamodel=coral.lang.UML14
m = metamodel.Model()
c = metamodel.Class()
c.namespace = m
c.name = "foo"

assert(isinstance(m, coral.Element))
m2 = coral.ModelCopy_One(m)
assert(m2 != m)
assert m2.ownedElement[0].name == "foo"


